Name:           screenshot-tool
Summary:        Simple screen capture tool
Version:        0.1.4
Release:        5%{?dist}
License:        LGPLv3

URL:            https://github.com/elementary/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.24
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:  pkgconfig(libcanberra)

Requires:       hicolor-icon-theme


%description
A simple screen capture tool made for the Pantheon desktop environment.


%prep
%autosetup


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang %{name}


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml


%files -f %{name}.lang
%license COPYING

%{_bindir}/%{name}

%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/net.launchpad.screenshot.gschema.xml
%{_datadir}/icons/hicolor/*/apps/accessories-screenshot.svg


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-4
- Remove icon cache scriptlets, replaced by file triggers.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-3
- Rebuild for granite soname bump.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Fri Jul 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-1
- Update to version 0.1.4.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Apr 30 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.3.1-1
- Update to version 0.1.3.1.

* Sat Apr 22 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-1
- Update to version 0.1.3.

* Fri Feb 17 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-1
- Update to version 0.1.2.
- Remove patch and bundled icon. Upstream now ships an icon.

* Sun Feb 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-4
- Rename icon to match .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-3
- Include icon to fix appstream metadata generation.

* Thu Jan 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-2
- Clean up spec file.

* Thu Nov 24 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.3-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.3-3
- Spec file cleanups.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.3-2
- Add BR: intltool to hopefully fix f25 build.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.3-1
- Update to version 0.1.0.3.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.2-2
- Spec file cosmetics.

* Sun Sep 11 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.2-1
- Update to version 0.1.0.2.

* Wed Sep 07 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1.0.1-1
- Update to version 0.1.0.1.

* Sun Aug 14 2016 Fabio Valentini <decathorpe@gmail.com> - 0.1-1
- Update to version 0.1.


